Package wx :: Package lib :: Package masked :: Module ipaddrctrl :: Class IpAddrCtrlAccessorsMixin

[frames | no frames]

## Class IpAddrCtrlAccessorsMixin

Known Subclasses:
  `IpAddrCtrl`

Defines IpAddrCtrl's list of attributes having their own Get/Set functions, exposing only those that make sense for an IP address control.

Method Summary
| `GetDefaultValue(self)`
| `GetDescription(self)`
| `GetEmptyBackgroundColour(self)`
| `GetEmptyInvalid(self)`
| `GetFields(self)`
| `GetFillChar(self)`
| `GetFormatcodes(self)`
| `GetInvalidBackgroundColour(self)`
| `GetRetainFieldValidation(self)`
| `GetSignedForegroundColour(self)`
| `GetUseFixedWidthFont(self)`
| `GetValidBackgroundColour(self)`
| `GetValidFunc(self)`
| `GetValidRequired(self)`
| `SetDefaultValue(self, value)`
| `SetDescription(self, value)`
| `SetEmptyBackgroundColour(self, value)`
| `SetEmptyInvalid(self, value)`
| `SetFields(self, value)`
| `SetFillChar(self, value)`
| `SetFormatcodes(self, value)`
| `SetInvalidBackgroundColour(self, value)`
| `SetRetainFieldValidation(self, value)`
| `SetSignedForegroundColour(self, value)`
| `SetUseFixedWidthFont(self, value)`
| `SetValidBackgroundColour(self, value)`
| `SetValidFunc(self, value)`
| `SetValidRequired(self, value)`

Class Variable Summary
`tuple` | `exposed_basectrl_params` = `('fields', 'retainFieldValidat...`
`str` | `param` = `'validRequired'`
`str` | `propname` = `'ValidRequired'`

Class Variable Details

### exposed_basectrl_params

  Type:
    `tuple`
  Value:

        ('fields',
         'retainFieldValidation',
         'formatcodes',
         'fillChar',
         'defaultValue',
         'description',
         'useFixedWidthFont',
         'signedForegroundColour',
        ...

### param

  Type:
    `str`
  Value:

        'validRequired'

### propname

  Type:
    `str`
  Value:

        'ValidRequired'

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:07:11 2007 | http://epydoc.sf.net